apiVersion: v1alpha1
kind: AgentConfig
metadata:
  name: billi
rendezvousIP: 10.1.28.20
hosts:
- hostname: openshift-master-0
  interfaces:
  - macAddress: 48:df:37:ae:b2:b4
    name: ens2f0
  networkConfig:
    dns-resolver:
      config:
        server:
        - 10.19.42.41
        - 10.11.5.19
        - 2620:52:0:aa0::dead:beef
    interfaces:
    - ethernet:
        auto-negotiation: true
        duplex: full
        speed: 1000
      ipv4:
        address:
        - ip: 10.1.28.20
          prefix-length: 24
        enabled: true
      ipv6:
        address:
        - ip: 2620:52:0:11c::20
          prefix-length: 64
        enabled: true
      mac-address: 48:df:37:ae:b2:b4
      mtu: 1500
      name: ens2f0
      state: up
      type: ethernet
    routes:
      config:
      - destination: 0.0.0.0/0
        next-hop-address: 10.1.28.254
        next-hop-interface: ens2f0
        table-id: 254
        enabled: true
      - destination: ::/0
        next-hop-address: 2620:52:0:11c::fe
        next-hop-interface: ens2f0
        enabled: true
- hostname: openshift-master-1
  interfaces:
  - macAddress: 48:df:37:a9:37:58
    name: ens2f0
  networkConfig:
    dns-resolver:
      config:
        server:
        - 10.19.42.41
        - 10.11.5.19
        - 2620:52:0:aa0::dead:beef
    interfaces:
    - ethernet:
        auto-negotiation: true
        duplex: full
        speed: 1000
      ipv4:
        address:
        - ip: 10.1.28.21
          prefix-length: 24
        enabled: true
      ipv6:
        address:
        - ip: 2620:52:0:11c::21
          prefix-length: 64
        enabled: true
      mac-address: 48:df:37:a9:37:58
      mtu: 1500
      name: ens2f0
      state: up
      type: ethernet
    routes:
      config:
      - destination: 0.0.0.0/0
        next-hop-address: 10.1.28.254
        next-hop-interface: ens2f0
        table-id: 254
        enabled: true
      - destination: ::/0
        next-hop-address: 2620:52:0:11c::fe
        next-hop-interface: ens2f0
        enabled: true
- hostname: openshift-master-2
  interfaces:
  - macAddress: 48:df:37:ae:af:f4
    name: ens2f0
  networkConfig:
    dns-resolver:
      config:
        server:
        - 10.19.42.41
        - 10.11.5.19
        - 2620:52:0:aa0::dead:beef
    interfaces:
    - ethernet:
        auto-negotiation: true
        duplex: full
        speed: 1000
      ipv4:
        address:
        - ip: 10.1.28.22
          prefix-length: 24
        enabled: true
      ipv6:
        address:
        - ip: 2620:52:0:11c::22
          prefix-length: 64
        enabled: true
      mac-address: 48:df:37:ae:af:f4
      mtu: 1500
      name: ens2f0
      state: up
      type: ethernet
    routes:
      config:
      - destination: 0.0.0.0/0
        next-hop-address: 10.1.28.254
        next-hop-interface: ens2f0
        table-id: 254
        enabled: true
      - destination: ::/0
        next-hop-address: 2620:52:0:11c::fe
        next-hop-interface: ens2f0
        enabled: true
